/*
 * Lösung für Übung 3.8.3 - Vokalzählung mit switch/case
 */
#include <iostream>
#include <string>

int main()
{
  std::string input;
  std::cin >> input;
  int vowels = 0;
  for (char character : input)
  {
    switch (character)
    {
      case 'a':  // Intentional fall-trough
      case 'e':
      case 'i':
      case 'o':
      case 'u':
        vowels++;
        // Da dies der letzte Fall ist und wir auch keinen
        // default-Fall brauchen, kann die break-Anweisung
        // auch weggelassen werden.
    }
  }
  std::cout << "Das eingegebene Wort " << input
            << " hat " << vowels << " Vokale" << std::endl;
  return 0;
}
